Copyright: Copyright © 1995 Kinetic Software
Citation: Copyright © 1995 Kinetic Software


AutoSize

Type:	Boolean

Default:	False

Description:

Use this property to automatically match the size of the KSPicButton to the size of the BackGround bitmap.  Setting this property to True will disable the ability to resize the KSPicButton in design mode (since it will always snap back to the size of the background image)..

Example:

{set AutoSize on}

KSPicButton1.AutoSize := True;

See Also:

BackGround

Stretch

StretchMode


BackColor

Type:	TColor

Default:	clSilver

Description:

The BackColor is the color behind the KSPicButton.  You will have to adjust the value of this property if your form background varies.

Example:

{set the BackColor to Gray}

KSPicButton1.BackColor := clGray;

See Also:

FaceColor

ShadowColor


BackGround

Type:	TBitmap

Default:	(none)

Description:

This is the image displayed on the KSPicButton.  Use one of the 150 bitmaps bundled with the KSPicButton or use your own custom bitmap.  You can use the KSPicButton without a bitmap by just setting the FaceColor property to your desired color.

Example:

{load a new bitmap background from a file}

KSPicButton1.BackGround.LoadFromFile('c:\mybitmap.bmp');

See Also:

AutoSize

Stretch

StretchMode


BorderColor

Type:	TColor

Default:	clBlack

Description:

This is the color of the border around the KSPicButton's face.

Example:

{change the BorderColor to red}

KSPicButton1.BorderColor := clRed;

See Also:

BorderWidth

DefaultBorderWidth


BorderWidth

Type:	Integer

Default:	1

Description:

This is the width of the Border in pixels.

Example:

{increase the BorderWidth to 2 pixels}

KSPicButton1.BorderWidth := 2;

See Also:

BorderColor

DefaultBorderWidth


Contacting Kinetic Software

We welcome any and all contact with our customers.

Please drop us a note with your feedback or questions!

You can contact Kinetic Software via:

Internet:	kinetic@usit.net

World Wide Web:	http://www.esper.com/kinetic

Compuserve Address: 	102065,563

Compuserve via Internet: 	102065.563@Compuserve.Com

Snail Mail:	Kinetic Software

 	8404 Swathmore Court

Knoxville, TN

37919


Contents

The KSPicButton component is a graphical 3D button that supports bitmap images as backgrounds and multi-line captions.  Included with the component are 150 bitmap images to help you get started!  Of course you can custom design your own bitmaps or just use the KSPicButton with a colored face!

The following topics are available in this help file:

How Do I Purchase The KSPicButton?

How do I install the KSPicButton?

How do I install this help file into the Delphi help system?

Properties Reference

Contacting Kinetic Software


DefaultBorderWidth

Type:	Integer

Default:	1

Description:

This property determines the thickness of the border when the Default property is set to True.

Example:

{increase the DefaultBorderWidth to 3 pixels}

KSPicButton1.DefaultBorderWidth := 3;

See Also:

BorderWidth

DefaultStyle


DefaultStyle

Type:	Enumerated (dsNone, dsThickBorder)

Default:	dsThickBorder

Description:

Determines how to display the KSPicButton's border when it is the Default button.

Example:

{set the DefaultStyle to none}

KSPicButton1.DefaultStyle := dsNone;

See Also:


FaceColor

Type:	TColor

Default:	clWhite

Description:

This is the color of the KSPicButton's face.  Set this property if you want to use the KSPicButton without a bitmap BackGround.  To reduce flicker you can set this color to a color similar to the BackGround bitmap.

Example:

{change the FaceColor to yellow}

KSPicButton1.FaceColor := clYellow;

See Also:

BackColor

ShadowColor


FocusColor

Type:	TColor

Default:	clBlack

Description:

The color of the Focus rectangle.

Example:

{change the FocusColor to navy blue}

KSPicButton1.FocusColor := clNavy;

See Also:

FocusInset

ShowFocus


FocusInset

Type:	Integer

Default:	4

Description:

Determines how far the Focus rectangle is inset from the edge of the KSPicButton (in pixels).

Example:

{set the FocusInset to 2}

KSPicButton1.FocusInset := 2;

See Also:

FocusColor

ShowFocus


How Do I Purchase The KSPicButton?

What Do I Get?

You get the KSPicButton v1.0 and a voucher for a free upgrade (except shipping costs) for the next version released.  This help file is also included along with the source code for the Demo project demonstrating how to use the KSPicButton.  You also receive the Texture Pack which contains 96 sample backgrounds for use with the KSPicButton.  And you get lifetime technical support via Compuserve and a warm, fuzzy feeling from contributing to the growth of the Delphi 3rd party tools marketplace.

If you register the KSPicButton v1.0 Pro you will also receive all the source files for the component.

Pricing

KSPicButton v1.0 Standard	Price: $19.95 (no source code)

KSPicButton v1.0 Pro 	Price: $39.95 (includes all source files)

There are two ways to purchase KSPicButton:

Option 1   CompuServe SWREG

Standard: On Compuserve 'GO SWREG' and register shareware #6254.  This results in Compuserve charging your account $19.95 and Compuserve then sends us your order.  All orders are filled the same day we get them from Compuserve.

Pro: On Compuserve 'GO SWREG' and register shareware #6255.  This results in Compuserve charging your account $39.95 and Compuserve then sends us your order.  All orders are filled the same day we get them from Compuserve.1

Option 2   Direct

Print the following information on a sheet of paper:

Which KSPicButton Package (v1.0 or v1.0 Pro)

Your Name

Company

Your Job Title

Your E-Mail Address (please indicate if you want KSPicButton sent to you on-line)

Street Address

City, State

Zip

Daytime & Evening Phone Number

Send the above and the exact amount for the version you want standard or Pro) to the address below.

If you are located in the state of Tennessee please add 8.5% sales tax.

Kinetic Software

8404 Swathmore Court

Knoxville, TN

37919

Acceptable forms of payment are:

- Personal or business check drawn on a US Bank in US funds

- Any type of money order (domestic or international) we can easily redeem in US funds

Make check or money order payable to Kinetic Software.


How do I install the KSPicButton
How do I install the KSPicButton?

Which Palette?

The KSPicButton comes with a published source file REGPIC.PAS, that will help you register the KSPicButton component and place it on the Delphi component palette of your choice.

By default the KSPicButton will install onto a palette called "Kinetic" and Delphi will create this palette if it does not exist.  If you would like to install the KSPicButton on a different palette simply edit the file REGPIC.PAS.  Locate and edit the following line:

RegisterComponents( 'Kinetic', [TKSPicButton] ) ;

For example if you wanted to install the KSPicButton onto a palette called "Tools" you would change the above line to read:

RegisterComponents( 'Tools', [TKSPicButton] ) ;

Installation Instructions

1.  Place all the KSPicButton files in the same sub-directory.

2.  From the Delphi menu select Options | Install Components...

3.  Make sure the search path includes the path to the KSPicButton files.

4.  Press the Add button and select the path and filename of REGPIC.PAS (use Browse)

5.  Back on the Install Components screen press OK.

If installation succeeds you should see the KSPicButton component appear on the palette it was installed in!


How do I install this help file into the Delphi help system?

This help file can be fully integrated into Delphi's extensible help system.  Integrating this help file will allow you to access context sensitive help when using the KSPicButton in the Delphi development environment.

Instructions

1.	Make sure Delphi is not running.

2.	Move the KSPIC.KWF file supplied with the KSPicButton to your \DELPHI\HELP sub-directory.

3.	Move the KSPIC.HLP file supplied with the KSPicButton to your \DELPHI\BIN subdirectory.

4.	Run the HelpInst application supplied with Delphi.

5.	Select File|Open and open \DELPHI\BIN\DELPHI.HDX.

6.	Select Keyword|Add Keyword File and select the \DELPHI\HELP\KSPIC.KWF then click OK.

7. 	Select File|Save.

8.	Exit HelpInst.

If the KSPicButton help file installed correctly you should be able to click on F1 when the KSPicButton is selected in the Delphi development environment and jump right into the KSPIC.HLP file onto the Contents page.  You can also jump to any property's help page by selecting a property in the Object Inspector and pressing F1.


OffsetDown

Type:	Integer

Default:	1

Description:

This value determines how far the face of the KSPicButton will be offset from the shadow rectangle when the button is pressed down.

Example:

{change OffsetDown to 3}

KSPicButton1.OffsetDown := 3

See Also:

OffsetUp

ShadowColor


OffsetUp

Type:	Integer

Default:	3

Description:

This value determines how far the face of the KSPicButton will be offset from the shadow rectangle when the button is in its normal (not pressed) state.

Example:

{set the OffsetUp to 5}

KSPicButton1.OffsetUp := 5;

See Also:

OffsetDown

ShadowColor


Properties Reference

Any KSPicButton properties you can't find below are standard Delphi properties that can be looked up in the Delphi help system.  If you have any properties or features you would like to see please let us know!

Custom Properties:

AutoSize

BackColor

BackGround

BorderColor

BorderWidth

DefaultBorderWidth

DefaultStyle

FaceColor

FocusColor

FocusInset

OffsetDown

OffsetUp

ShadowColor

ShowFocus

Stretch

StretchMode


ShadowColor

Type:	TColor

Default:	clGray

Description:

Determines the color of the KSPicButton's "drop" shadow.

Example:

{change the ShadowColor to black}

KSPicButton1.ShadowColor := clBlack;

See Also:

BackColor

FaceColor

OffsetDown

OffsetUp


ShowFocus

Type:	Boolean

Default:	True

Description:

Set ShowFocus to False if you do not wish the focus rectangle to be drawn on the button face when the KSPicButton has focus.  The default value is True.

Example:

{turn off ShowFocus}

KSPicButton1.ShowFocus := False;

See Also:

FocusColor

FocusInset


Stretch

Type:	Boolean

Default:	False

Description:

This property determines whether or not the BackGround will stretch to fit the face of the KSPicButton.  In some ways this the opposite of AutoSize.

Example:

{turn Stretch on}

KSPicButton1.Stretch := True;

See Also:

AutoSize

BackGround

StretchMode


StretchMode

Type:	Enumerated (smAndScans, smDeleteScans, smOrScans)

Default:	smDeleteScans

Description:

On some displays this mode can assist in the rendering of stretched bitmaps.  For more information on this see the Windows API help on SetStretchBltMode and StretchBlt.

Example:

{set the StretchMode to smAndScans}

KSPicButton1.StretchMode := smAndScans;

See Also:

AutoSize

BackGround

Stretch